Subject: bug#13390: tramp-adb hanging forever

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 18 Feb 2013 15:32:20 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>>> I still have no chance to install adb wireless for the given reason. But
>>> if you have installed also an sshd app on your device, you could check
>>> any ssh-based Tramp method from now on. I've just tweaked Tramp to
>>> support this; see the Tramp manual for setup hints.
>>>
>>> It works fine for me with my Nexus S, running Android 4.1.2, and
>>> SSHDroid 1.9.6.
>> I tried this morning with 'dropbear ssh server' and it didn't work
>> either from helm or using it normally from emacs -Q with `find-file'.
>>
>> 11:32:32.784282 tramp-maybe-open-connection (6) # /bin/sh -i
>> 11:32:32.787418 tramp-wait-for-regexp (6) # 
>> env: can't execute '/bin/sh': No such file or directory
>
> /bin/sh does not exist on Android devices. That's why you need to
> configure another shell. As I have said above: "I've just tweaked Tramp
> to support this; see the Tramp manual for setup hints." Please do so :-)
Thanks, but not working either playing with these settings.
I will try again later reinstalling sshdroid (I don't like it, too much
ads).

>> BTW 'scpc' method is no more working (hanging forever in host completion) connecting on another machine on my
>> LAN (not a mobile device).
>
> Yes. From etc/NEWS:
>
> ** Tramp
> *** The connection methods "scpc" and "rsyncc" are discontinued.

Ok thanks.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997